### Method

# EDataServer SourceLocal get_custom_file

#### Declaration [src]

    GFile*
    e_source_local_get_custom_file (
      ESourceLocal* extension
    )

#### Description [src]

Get the custom file being set on the `extension`. The returned `GFile` is owned by the `extension`.

For thread safety use e_source_local_dup_custom_file().

Gets property | `EDataServer.SourceLocal:custom-file`

#### Return value

Type: `GFile`

The `GFile` instance, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.